complexType "QuotedAssetSet"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 2 elements
Defined: | globally in fpml-riskdef-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | instrumentSet?, assetQuote*
</...>

Content Model Elements (2):

  assetQuote, instrumentSet

Known Direct Subtypes (1):

  FxRateSet

All Direct / Indirect Based Elements (4):

  benchmarkQuotes, inputs (in creditCurveValuation), | inputs (in yieldCurveValuation), spotRate (in fxCurveValuation)

Known Usage Locations

- In derivations of other global types (1):
  FxRateSet (as extension base)
- As direct type of elements (3):

  benchmarkQuotes, inputs (in creditCurveValuation), | inputs (in yieldCurveValuation)

Annotation
A collection of quoted assets.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="QuotedAssetSet"> <xsd:sequence> <xsd:element minOccurs="0" name="instrumentSet" type="InstrumentSet"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="assetQuote" type="BasicAssetValuation"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
assetQuote

  Type: | BasicAssetValuation, complex content

  A collection of valuations (quotes) for the assets needed in the set. Normally these quotes will be for the underlying assets listed above, but they don't necesarily have to be.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="assetQuote" type="BasicAssetValuation"/>

instrumentSet

  Type: | InstrumentSet, complex content

  A collection of instruments used as a basis for quotation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="instrumentSet" type="InstrumentSet"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.